1. 19 Jun, 2018 2 commits
  2. 03 Apr, 2018 1 commit
  3. 02 Apr, 2018 2 commits
  4. 16 Feb, 2018 1 commit
  5. 07 Feb, 2018 1 commit
  6. 08 May, 2017 2 commits
  7. 03 May, 2017 2 commits
  8. 02 May, 2017 4 commits
  9. 29 Apr, 2017 14 commits
  10. 14 Apr, 2017 5 commits
  11. 13 Apr, 2017 2 commits
  12. 08 Apr, 2017 1 commit
  13. 07 Apr, 2017 1 commit
    • Daniel Stone's avatar
      drm-legacy: Use correct DRM event context version · c47739b9
      Daniel Stone authored
      DRM_EVENT_CONTEXT_VERSION is the latest context version supported by
      whatever version of libdrm is present. kmscube was blindly asserting
      it supported whatever version that may be, even if it actually didn't.
      
      With libdrm 2.4.78, setting a higher context version than 2 will attempt
      to call the page_flip_handler2 vfunc if it was non-NULL, which being a
      random chunk of stack memory, it might well have been.
      
      Set the version as 2, which should be bumped only with the appropriate
      version checks.
      Signed-off-by: 's avatarDaniel Stone <daniels@collabora.com>
      c47739b9
  14. 05 Apr, 2017 1 commit
  15. 27 Mar, 2017 1 commit
    • Rob Clark's avatar
      add video cube · 961c85f6
      Rob Clark authored
      Uses gstreamer for a simple decoder.  If decoder can give us dma-buf's
      directly, we'll directly use that as a texture (zero copy), otherwise
      memcpy into a buffer from gbm.  This should work with both hw and sw
      decoders.
      
      Probably room for improvement.  And the interface between gl and the
      decoder is pretty simple so I suppose other decoders would be possible.
      (But hopefully they could already be supported via gstreamer.)
      Signed-off-by: 's avatarRob Clark <robdclark@gmail.com>
      Reviewed-by: Emil Velikov's avatarEmil Velikov <emil.l.velikov@gmail.com>
      961c85f6